<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:ui="library://ns.adobe.com/flex/ui"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:components="br.com.dclick.components.*"
			   xmlns:componente="br.com.desenv.framework.componente.*"
			   xmlns:visual="br.com.desenv.framework.component.visual.*"
			   close="titlewindowCloseHandler(event)"  title="Detalhe de  Cadastro de Atividades Oferecidas">
	
	<fx:Style source="../../../framework/util/estilo.css"/>
	<fx:Script source="../../../framework/util/util.as"/>
	
	<fx:Metadata>
		[Event(name="AtividadeOferecidaExcluidoEvent")]
	</fx:Metadata>

	<fx:Script>
		<![CDATA[
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			import br.com.desenv.nepalign.vo.AtividadeOferecida;
			
			[Bindable]
			public var atividadeOferecida : AtividadeOferecida = null;
			
			private var atividadeOferecidaComponenteCadastro: AtividadeOferecidaComponenteCadastro;
			
			// Chama quando fecha a janela no X
			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				PopUpManager.removePopUp(this);
			}
			

			protected function buttonAlterar_clickHandler(event:MouseEvent):void
			{
				atividadeOferecidaComponenteCadastro = new AtividadeOferecidaComponenteCadastro();
				atividadeOferecidaComponenteCadastro.atividadeOferecida = this.atividadeOferecida;
				atividadeOferecidaComponenteCadastro.addEventListener("AtividadeOferecidaAtualizadoEvent", atualizarAtividadeOferecidaPorAtualizacaoResultHandler);
				PopUpManager.addPopUp(atividadeOferecidaComponenteCadastro, this, true);
				PopUpManager.centerPopUp(atividadeOferecidaComponenteCadastro);
			}
			
			private function atualizarAtividadeOferecidaPorAtualizacaoResultHandler(e:Event):void
			{
				this.atividadeOferecida = atividadeOferecidaComponenteCadastro.atividadeOferecida;
			}
			
			protected function buttonExcluir_clickHandler(event:MouseEvent):void
			{

				var alert = Alert.show("Ok para excluir", "Confirmacao de Exclusao", Alert.YES | Alert.NO);
				
				if (alert == Alert.YES)
				{
					var remoteObject: RemoteObject  = prepararObjetoRemoto("atividadeOferecidaService", excluirResultHandler);	
					remoteObject.getOperation("excluir").send(this.atividadeOferecida);
				}	
			}
			
			// Depois que exclui fecha a janela
			private function excluirResultHandler( event: ResultEvent ): void {
				this.dispatchEvent(new Event("AtividadeOferecidaExcluidoEvent"));
				PopUpManager.removePopUp(this);
			}
			
			
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
		<mx:DateFormatter id="dataPadrao" formatString="DD/MM/YYYY"/>
	</fx:Declarations>
	
	<mx:Grid styleName="grid" verticalScrollPolicy="auto" horizontalScrollPolicy="auto" maxHeight="600" maxWidth="1024">
		<mx:GridRow>
			<mx:GridItem colSpan="2" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Codigo:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{atividadeOferecida.id}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Descrição:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{atividadeOferecida.descricao}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Per. da Manhã:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{atividadeOferecida.manhaDescricaoCompleta}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Per. da Tarde:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{atividadeOferecida.tardeDescricaoCompleta}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Per. da Noite:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{atividadeOferecida.noiteDescricaoCompleta}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Observações sobre a Atividade:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{atividadeOferecida.observacao}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Duração da Atividade:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabelValor">
				<s:Label text="{atividadeOferecida.duracao}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="2" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem horizontalAlign="center" colSpan="2">
				<s:Button id="buttonAlterar" click="buttonAlterar_clickHandler(event)" label="Alterar"/>
				<s:Button id="buttonExcluir" click="buttonExcluir_clickHandler(event)" label="Excluir"/>
			</mx:GridItem>	
		</mx:GridRow>
		
	</mx:Grid>

</s:TitleWindow>